package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 优惠券领取记录对象 coupon_user
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class CouponUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    private Long uid;

    /** 用户 */
    @Excel(name = "用户名称")
    private String uname;

    /** 优惠券id */
    @Excel(name = "优惠券id")
    private Long couponId;

    /** 名称 */
    @Excel(name = "名称")
    private String couponTitle;

    /** 面值 */
    @Excel(name = "面值")
    private Integer couponPrice;

    /** 最低消费 */
    @Excel(name = "最低消费")
    private Long minPrice;

    /** 领取时间 */
    @Excel(name = "领取时间")
    private Long addTime;

    /** 失效时间 */
    @Excel(name = "失效时间")
    private String loseTime;

    /** 使用时间 */
    @Excel(name = "使用时间")
    private Long useTime;

    /** 指定分类 */
    @Excel(name = "指定分类")
    private Long cateId;

    /** 指定分类 */
    @Excel(name = "指定分类")
    private String catename;

    /** 指定商品 */
    @Excel(name = "指定商品")
    private Long productId;

    /** 指定商品 */
    @Excel(name = "指定商品")
    private String productname;

    /** 1:通用券 2：品类券 3：指定商品 */
    @Excel(name = "1:通用券 2：品类券 3：指定商品")
    private String receiveType;

    /** 1：未使用 2：已使用 3:已失效 */
    @Excel(name = "1：未使用 2：已使用 3:已失效")
    private Long status;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }

    public void setCouponId(Long couponId) 
    {
        this.couponId = couponId;
    }

    public Long getCouponId() 
    {
        return couponId;
    }

    public void setCouponTitle(String couponTitle) 
    {
        this.couponTitle = couponTitle;
    }

    public String getCouponTitle() 
    {
        return couponTitle;
    }

    public void setCouponPrice(Integer couponPrice) 
    {
        this.couponPrice = couponPrice;
    }

    public Integer getCouponPrice() 
    {
        return couponPrice;
    }

    public void setMinPrice(Long minPrice) 
    {
        this.minPrice = minPrice;
    }

    public Long getMinPrice() 
    {
        return minPrice;
    }

    public void setAddTime(Long addTime) 
    {
        this.addTime = addTime;
    }

    public Long getAddTime() 
    {
        return addTime;
    }

    public void setLoseTime(String loseTime) 
    {
        this.loseTime = loseTime;
    }

    public String getLoseTime() 
    {
        return loseTime;
    }

    public void setUseTime(Long useTime) 
    {
        this.useTime = useTime;
    }

    public Long getUseTime() 
    {
        return useTime;
    }

    public void setCateId(Long cateId) 
    {
        this.cateId = cateId;
    }

    public Long getCateId() 
    {
        return cateId;
    }

    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }

    public void setReceiveType(String receiveType) 
    {
        this.receiveType = receiveType;
    }

    public String getReceiveType() 
    {
        return receiveType;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public String getCatename() {
        return catename;
    }

    public void setCatename(String catename) {
        this.catename = catename;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uid", getUid())
            .append("couponId", getCouponId())
            .append("couponTitle", getCouponTitle())
            .append("couponPrice", getCouponPrice())
            .append("minPrice", getMinPrice())
            .append("addTime", getAddTime())
            .append("loseTime", getLoseTime())
            .append("useTime", getUseTime())
            .append("cateId", getCateId())
            .append("productId", getProductId())
            .append("receiveType", getReceiveType())
            .append("status", getStatus())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
